cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

feature creation in between of model tree using toolkit

Ketan_Lalcheta
19-Tanzanite

feature creation in between of model tree using toolkit

Hello

 

There are A, B , C and D feature in model tree of assembly. What we need to do is to create feature after feature A.

 

For same, We are using API ProFeatureInsertmodeWithoptionsActivate() before feature creation and ProInsertmodeWithoptionsCancel() after feature creation. With this API, feature is created as proper (A, New feature, B , C and D), but issue is that active array of model tree is after new feature instead of feature D. 

 

Issue with this is that additonal feature by user or toolkit will be created after new feature instead of last feature i.e. D.

What to be done so that after creation of feature in between, last feature should be activated so that additional features are created after last feature.

 

Any thought would be of great help.

 

Thanks and Regards

Ketan

 

1 ACCEPTED SOLUTION

Accepted Solutions
FV
17-Peridot
17-Peridot
(To:Ketan_Lalcheta)

use ProFeatureWithoptionsReorder(…) 

View solution in original post

2 REPLIES 2

Any hint would be of great help. Feel free to ask in case of any query.

FV
17-Peridot
17-Peridot
(To:Ketan_Lalcheta)

use ProFeatureWithoptionsReorder(…) 

View solution in original post

Announcements